Bug 1333816 - python-django-threadedcomments: Provide a Python 3 subpackage [NEEDINFO]
Summary: python-django-threadedcomments: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django-threadedcomments
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luis Bazan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-05-06 13:22 UTC by Tomas Orsava
Modified: 2016-09-20 12:44 UTC (History)
5 users (show)

Fixed In Version: python-django-threadedcomments-1.0.1-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-20 12:44:58 UTC
dkrejci: needinfo? (bazanluis20)


Attachments (Terms of Use)
Update to patched 1.0.1 version including Python 3 subpackage (5.50 KB, patch)
2016-09-01 07:18 UTC, Jan Beran
no flags Details | Diff
Python 3 compatibility patch (1.34 KB, patch)
2016-09-01 07:20 UTC, Jan Beran
no flags Details | Diff
Update to patched 1.0.1 version including Python 3 subpackage (5.49 KB, patch)
2016-09-08 12:38 UTC, Jan Beran
no flags Details | Diff
Update to patched 1.0.1 version including Python 3 subpackage (5.47 KB, patch)
2016-09-08 14:18 UTC, Jan Beran
no flags Details | Diff

Description Tomas Orsava 2016-05-06 13:22:33 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Dominika Krejčí 2016-06-28 10:31:32 UTC
Hi Luis, do you need any help with adding Python 3 support?

Comment 2 Jan Kurik 2016-07-26 04:06:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Jan Beran 2016-08-08 10:53:11 UTC
There is a Python 3 compatibility issue: https://github.com/HonzaKral/django-threadedcomments/issues/79

Comment 4 Jan Beran 2016-09-01 07:18:42 UTC
Created attachment 1196602 [details]
Update to patched 1.0.1 version including Python 3 subpackage

I prepared a spec file update that includes
- update to version 1.0.1
- url and source update
- modernized specfile with Python 3 packaging

Comment 5 Jan Beran 2016-09-01 07:20:35 UTC
Created attachment 1196605 [details]
Python 3 compatibility patch

Thanks to Dominika Krejci for the patch!

Comment 6 Jan Beran 2016-09-08 12:38:45 UTC
Created attachment 1199060 [details]
Update to patched 1.0.1 version including Python 3 subpackage

Adjusted spec file

Comment 7 Jan Beran 2016-09-08 14:18:33 UTC
Created attachment 1199123 [details]
Update to patched 1.0.1 version including Python 3 subpackage

Fix of sum/summary

Comment 8 Lumír Balhar 2016-09-09 07:03:27 UTC
Hello.

This patch looks good to me, thanks. If maintainer has nothing against, we can push this change after a week.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15553000

Have a nice day.


Note You need to log in before you can comment on or make changes to this bug.